Bug#338027: put gvim.desktop in gtk2 enabled vim packages

Adonikam Virgo family at virgonet.org
Sun Nov 20 17:37:49 UTC 2005

Package: vim
Version: 1:6.4-001+2
Followup-For: Bug #338027

The case as it stands is that the `vim' package (not `vim-common')
contains the offending desktop file and gvim binary, whereas one 
would expect to find it in the packages with gtk2 support.
It makes more sense from the user's viewpoint to add the desktop file
to those packages (or even more ugly, vim-gtk-common etc.).
But considering the fact that vim-gtk and others contain only two
files, your argument seems weak. I think a vim-gui-common package
makes perfect sense.

Thank you,

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-av
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages vim depends on:
ii  libc6                        2.3.5-8     GNU C Library: Shared libraries an
ii  libgpmg1                     1.19.6-21   General Purpose Mouse - shared lib
ii  libncurses5                  5.5-1       Shared libraries for terminal hand
ii  vim-common                   1:6.4-001+2 Vi IMproved - Common files

vim recommends no packages.

-- no debconf information

More information about the pkg-vim-maintainers mailing list